﻿using System;
using System.Linq;

namespace VowelRemovalExample
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("iNetTutor.com - Vowel Removal Example");
            Console.WriteLine("Enter a string: ");
            string str = Console.ReadLine(); // Get user input

            Console.WriteLine($"Original string: {str}");

            // Method 1: Using String Replacement (Simpler approach)
            string withoutVowels1 = str.Replace("a", "").Replace("e", "").Replace("i", "")
                                   .Replace("o", "").Replace("u", "")
                                   .Replace("A", "").Replace("E", "").Replace("I", "")
                                   .Replace("O", "").Replace("U", "");


            Console.WriteLine($"Without vowels (Method 1): {withoutVowels1}");

            // Method 2: Character Iteration (More control)
            string withoutVowels2 = "";

            foreach (char c in str)
            {
                if (!"aeiouAEIOU".Contains(c)) // Check if character is not a vowel
                {
                    withoutVowels2 += c; // Add the character to the new string
                }
            }

            Console.WriteLine($"Without vowels (Method 2): {withoutVowels2}");
            Console.ReadKey();
        }
    }
}
